Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDropSite Class Reference
[obsolete]

The TQDropSite class provides nothing and does nothing. More...

`#include <ntqdropsite.h>`

List of all member functions.

## Public Members

- TQDropSite ( TQWidget * self )
- virtual ~TQDropSite ()

## Detailed Description

The TQDropSite class provides nothing and does nothing.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

If your code uses it, you can safely delete it.

It was used in TQt 1.x to do some drag and drop; that has since been folded into TQWidget.

For detailed information about drag-and-drop, see the TQDragObject class.

See also TQDragObject, TQTextDrag, and TQImageDrag.

## Member Function Documentation

### TQDropSite::TQDropSite ( TQWidget * self )

Constructs a TQDropSite to handle events for the widget self.

Pass `this` as the self parameter. This enables dropping by calling TQWidget::setAcceptDrops(TRUE).

### TQDropSite::~TQDropSite ()`[virtual]`

Destroys the drop site.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.